package com.webchat.domain.dto.search;


import com.webchat.domain.dto.queue.BaseQueueDTO;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class SyncSearchEngineDTO extends BaseQueueDTO {

    /**
     * 业务数据主键
     */
    private String pk;


    /**
     * 业务数据类型
     * com.webchat.common.enums.search.DataSourceTypeEnum
     */
    private String sourceType;

    /**
     * 内容总结，如文章标题
     */
    private String summary;

    /**
     * 内容，主要对content做embedding
     */
    private String content;


}
